"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamodb = void 0;
const Errors_1 = require("../Errors");
const Lambda_1 = require("../Lambda");
const DynamoDbClient_1 = require("./DynamoDbClient");
const table = Lambda_1.getEnvConfig('DATASOURCE_TABLE_NAME');
exports.dynamodb = {
    async get(key) {
        if (!table)
            throw new Errors_1.InternalServerError('Environment variable DATASOURCE_TABLE_NAME not found');
        return await DynamoDbClient_1.getItem(table, key);
    },
    async put(item) {
        if (!table)
            throw new Errors_1.InternalServerError('Environment variable DATASOURCE_TABLE_NAME not found');
        await DynamoDbClient_1.putItem(table, item);
    },
    async delete(key) {
        if (!table)
            throw new Errors_1.InternalServerError('Environment variable DATASOURCE_TABLE_NAME not found');
        await DynamoDbClient_1.deleteItem(table, key);
    },
    async update(key, updateData) {
        if (!table)
            throw new Errors_1.InternalServerError('Environment variable DATASOURCE_TABLE_NAME not found');
        await DynamoDbClient_1.updateItem(table, key, updateData);
    },
};
